Get Attribute Mapping
curl --request GET \
--url https://api.fabric.inc/v3/product-attribute-mappings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fabric.inc/v3/product-attribute-mappings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fabric.inc/v3/product-attribute-mappings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"image": {
"id": "CAXCC1234AASXSSSS",
"name": "color",
"localizedProperties": {
"en-US": {
"name": "color"
},
"en-IN": {
"name": "colour"
}
},
"isLocalizable": true
},
"active": {
"id": "CBCAC1234AASXLLLL",
"name": "color",
"localizedProperties": {
"en-US": {
"name": "color"
},
"en-IN": {
"name": "colour"
}
},
"isLocalizable": true
},
"sku": {
"id": "CBCAC1234AASKKKK",
"name": "color",
"localizedProperties": {
"en-US": {
"name": "color"
},
"en-IN": {
"name": "colour"
}
},
"isLocalizable": true
},
"title": {
"id": "CBCAC1234AAS554R",
"name": "color",
"localizedProperties": {
"en-US": {
"name": "color"
},
"en-IN": {
"name": "colour"
}
},
"isLocalizable": true
}
}{
"message": "Request is invalid",
"type": "Bad request",
"errors": [
{
"type": "CLIENT_ERROR",
"message": "Invalid request. Check your parameters or request body."
}
]
}{
"message": "The requester is unauthorized",
"type": "UNAUTHORIZED_ERROR"
}{
"type": "REQUEST_DENIED",
"message": "User doesn't have the required permission"
}{
"type": "SERVER_ERROR",
"message": "Internal Server Error"
}Mapping
Get Attribute Mapping
Before adding an item (with or without variants) to fabric Product Catalog, you must map merchant-specific attributes to fabric-specific attributes. Once mapping is created, this endpoint is used to get the mapping details.
GET
/
product-attribute-mappings
Get Attribute Mapping
Authorizations
S2S access token (JWT) from fabric Identity service (during Login)
Headers
A header used by fabric to identify the tenant making the request. You must include tenant id in the authentication header for an API request to access any of fabric’s endpoints. You can retrieve the tenant id , which is also called account id, from Copilot. This header is required.
Example:
"517fa9dfd42d8b00g1o3k312"
Unique request ID
Example:
"263e731c-45c8-11ed-b878-0242ac120002"
Was this page helpful?
